Commit ff650976 authored by Arnaud Blanchard's avatar Arnaud Blanchard

Specific file to clone standard common projects

parent 3a94fab5
# Basic Libraries And Applications for Robotics (BLAAR)
# Copyright ETIS — ENSEA, University of Cergy-Pontoise, CNRS (2011 - 2017)
# Author: Arnaud Blanchard
#
# This software is governed by the CeCILL v2.1 license under French law and abiding by the rules of distribution of free software.
# You can use, modify and/ or redistribute the software under the terms of the CeCILL v2.1 license as circulated by CEA, CNRS and INRIA at the following URL "http://www.cecill.info".
# As a counterpart to the access to the source code and rights to copy, modify and redistribute granted by the license,
# users are provided only with a limited warranty and the software's author, the holder of the economic rights, and the successive licensors have only limited liability.
# In this respect, the user's attention is drawn to the risks associated with loading, using, modifying and/or developing or reproducing the software by the user in light of its specific status of free software,
# that may mean that it is complicated to manipulate, and that also therefore means that it is reserved for developers and experienced professionals having in-depth computer knowledge.
# Users are therefore encouraged to load and test the software's suitability as regards their requirements in conditions enabling the security of their systems and/or data to be ensured  and, more generally, to use and operate it in the same conditions as regards security.
# The fact that you are presently reading this means that you have had knowledge of the CeCILL v2.1 license and that you accept its terms.
#!/usr/bin/env bash #Use your $PATH to find bash
set -o errexit #Exit on first error
set -o nounset #Error if a variable is used but nont defined
set -o pipefail #Error if a pipe fail
#Go in blaar directory
cd $(dirname $0)/..
basic_libraries=(blc_core blc_channel blc_network blc_program blc_image)
standard_projects=(i_channels i_keyboard)
# We do not use function in purpose as 'set -o errexit' has no effect in it
for project in ${basic_libraries[@]}
do
echo "Cloning '$project':"
commandline="git submodule add https://framagit.org/blaar/$project.git bl/$project"
$($commandline) > /tmp/blaar/clone_$project.log || { echo "Fail cloning '$project' executing: '$commandline'"; cat /tmp/blaar/clone_$project.log; echo ; }
done
for project in ${standard_projects[@]}
do
echo "Cloning '$project':"
commandline="git submodule add https://framagit.org/blaar/$project.git"
$($commandline) > /tmp/blaar/clone_$project.log || { echo "Fail cloning '$project' executing: '$commandline'"; cat /tmp/blaar/clone_$project.log; echo ; }
done
#Go in blaar directory
cd `dirname $0`/..
#Core library for all blc projects
git submodule add https://framagit.org/blaar/blc_core.git
#Shared memory
git submodule add https://framagit.org/blaar/blc_channel.git
#Network (UDP) communication
git submodule add https://framagit.org/blaar/blc_network.git
#Parse command-line and manage program loops
git submodule add https://framagit.org/blaar/blc_program.git
#Manage processes monitoring through `ps`
git submodule add https://framagit.org/blaar/blc_processes.git
#Manipulate images ( jpeg and png need libjpeg and libpng)
git submodule add https://framagit.org/blaar/blc_image.git
#Manipulate and monitor blc_channels
git submodule add https://framagit.org/blaar/i_channels.git
#Acquire keyboard inputs
git submodule add https://framagit.org/blaar/i_keyboard.git
#Load .tsv file of .blc files
git submodule add https://framagit.org/blaar/i_load_file.git
#Discretize an analog value and puut it in a vector
git submodule add https://framagit.org/blaar/f_discretize.git
#Delay or amplify the blc_channel
git submodule add https://framagit.org/blaar/f_transform_signal.git
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment